Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 616510 - sys-cluster/drbd-8.4.3-r2 : drbdadm_adjust.c:(.text+<snip>): undefined reference to `major'
Summary: sys-cluster/drbd-8.4.3-r2 : drbdadm_adjust.c:(.text+<snip>): undefined refere...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard: Pending removal: 2018-04-17
Keywords: PMASKED
Depends on: 590872
Blocks: glibc-sysmacros glibc-2.26-stable
  Show dependency tree
 
Reported: 2017-04-24 17:06 UTC by Toralf Förster
Modified: 2018-04-29 17:46 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,5.88 KB, text/plain)
2017-04-24 17:06 UTC, Toralf Förster
Details
config.log.tbz2 (config.log.tbz2,4.03 KB, application/x-bzip)
2017-04-24 17:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,537.94 KB, text/plain)
2017-04-24 17:06 UTC, Toralf Förster
Details
environment (environment,92.28 KB, text/plain)
2017-04-24 17:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,37.78 KB, application/x-bzip)
2017-04-24 17:06 UTC, Toralf Förster
Details
sys-cluster:drbd-8.4.3-r2:20170424-085745.log (sys-cluster:drbd-8.4.3-r2:20170424-085745.log,6.66 KB, text/plain)
2017-04-24 17:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,23.70 KB, application/x-bzip)
2017-04-24 17:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-04-24 17:06:19 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -Wall -Wall -I../drbd -I../drbd/compat  -Wl,-O1 -Wl,--as-needed  -Wl,-O1 -Wl,--as-needed -o drbdadm drbdadm_scanner.o drbdadm_parser.o drbdadm_main.o drbdadm_adjust.o drbdtool_common.o drbdadm_usage_cnt.o drbd_buildtag.o registry.o config_flags.o libgenl.o drbd_nla.o
drbdadm_adjust.o: In function `need_trigger_kobj_change':
drbdadm_adjust.c:(.text+0x758): undefined reference to `major'

  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named gnome_20170409-193701) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-5.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby21 (with Rubygems) *
  [2]   ruby22 (with Rubygems)
java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 7.2.6.9 [icedtea-7]
*)	IcedTea JDK 7.2.6.9 [icedtea-bin-7]
3)	IcedTea JDK 3.3.0 [icedtea-bin-8]
4)	JamVM JDK 2.0.0 [jamvm]
Available Java Virtual Machines:
  [1]   icedtea-7 
  [2]   icedtea-bin-7  system-vm
  [3]   icedtea-bin-8 
  [4]   jamvm
Comment 1 Toralf Förster gentoo-dev 2017-04-24 17:06:22 UTC
Created attachment 470782 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-04-24 17:06:25 UTC
Created attachment 470784 [details]
config.log.tbz2
Comment 3 Toralf Förster gentoo-dev 2017-04-24 17:06:28 UTC
Created attachment 470786 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-04-24 17:06:31 UTC
Created attachment 470788 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-04-24 17:06:34 UTC
Created attachment 470790 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-04-24 17:06:38 UTC
Created attachment 470792 [details]
sys-cluster:drbd-8.4.3-r2:20170424-085745.log
Comment 7 Toralf Förster gentoo-dev 2017-04-24 17:06:41 UTC
Created attachment 470794 [details]
temp.tbz2
Comment 8 Andreas K. Hüttel gentoo-dev 2017-10-20 20:29:20 UTC
Ping - this is now blocking glibc-2.25 stabilization.
Comment 9 Pacho Ramos gentoo-dev 2018-04-29 17:46:27 UTC
removed